# Account Unbinding

This is one of the services from the registration module used to unlinked or unbinding the current account that is already binded.

### Technical Specification <a href="#technical-specification" id="technical-specification"></a>

```
Service Code: 09
```

| Environment | Method | URL                                                                 |
| ----------- | ------ | ------------------------------------------------------------------- |
| Development | POST   | <https://snapstag.finnet.co.id/v1.0/registration-account-unbinding> |
| Production  | POST   | <https://snap.finnet.co.id/v1.0/registration-account-unbinding>     |

### Body Request <a href="#body-request" id="body-request"></a>

| No | Name           | Type                                                                    | Mandatory | Min Length | Max Length | Description                                     |
| -- | -------------- | ----------------------------------------------------------------------- | --------- | ---------- | ---------- | ----------------------------------------------- |
| 1  | merchantId     | String                                                                  | M         | 1          | 64         | Identifier provided at the time of linking      |
| 2  | referenceNo    | String                                                                  | M         | 1          | 64         | Reference number used for unbinding second call |
| 3  | additionalInfo | [Object](/api-reference/appendix/json-object/additional-info-object.md) | M         | 1          | 2          | Additional Info                                 |

#### Sample Request <a href="#sample-request" id="sample-request"></a>

```
{
  "merchantId":"F7778YIF6A3TC",
  "additionalInfo": {
    "phoneNo": "080012341373"
  }
}
```

#### Sample Request (Second Call) <a href="#sample-request-second-call" id="sample-request-second-call"></a>

```
{
  "merchantId":"F7778YIF6A3TC",
  "referenceNo": "1373010202245923153",
  "additionalInfo": {
    "phoneNo": "080012341373",
    "otp": "696969"
  }
}
```

### Body Response <a href="#body-response" id="body-response"></a>

| No | Name            | Type                                                              | Mandatory | Min Length | Max Length | Description                                       |
| -- | --------------- | ----------------------------------------------------------------- | --------- | ---------- | ---------- | ------------------------------------------------- |
| 1  | responseCode    | [Enum](/api-reference/appendix/enumeration/response-code-list.md) | M         | 1          | 7          | BI SNAP Response Code.                            |
| 2  | responseMessage | String                                                            | M         | 1          | 150        | BI SNAP Response Message.                         |
| 3  | referenceNo     | String                                                            | O         | 1          | 64         | Transaction identifier on service provider system |
| 4  | unlinkResult    | String                                                            | O         | 1          | 64         | Result of unlinking/unbinding process.            |

#### Sample Response <a href="#sample-response" id="sample-response"></a>

```
{
  "responseCode": "2000900",
  "responseMessage": "Request has been processed successfully",
  "referenceNo": "1373010202245923153",
  "unlinkResult": "UNBINDING_PENDING"
}
```

### Response Code & Message <a href="#response-code--message" id="response-code--message"></a>

The table below lists response codes and messages for the Account Unbinding API.

| No | HTTP Code | Code    | Message (Indonesian)            |
| -- | --------- | ------- | ------------------------------- |
| 1  | 200       | 2000900 | Successful                      |
| 2  | 400       | 4000900 | Bad request                     |
| 3  | 400       | 4000901 | Invalid field format {field}    |
| 4  | 400       | 4000902 | Invalid mandatory field {field} |
| 5  | 401       | 4010901 | Invalid token (B2B)             |
| 6  | 401       | 4010900 | Unauthorised. \[Reason]         |
| 7  | 403       | 4030901 | Feature not allowed             |
| 8  | 403       | 4030904 | Activity count limit exceeded   |
| 9  | 404       | 4040908 | Invalid merchant                |
| 10 | 500       | 5000900 | General error                   |
| 11 | 504       | 5040900 | Timeout                         |
| 12 | 409       | 4090901 | Duplicate partnerRefNo          |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.finpay.id/api-reference/finpay-money/linkage/registration/account-unbinding.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
